package com.tuoheng.admin.enums;

import lombok.Getter;

/**
 * 任务状态枚举
 */
public enum TaskStatusEnum {
    //1任务待飞行 2任务飞行中 3任务执行失败 4任务飞行完成
    WAIT(1,"任务待飞行"),
    FLIGHT(2,"任务飞行中"),
    FAIL(3,"任务执行失败"),
    COMPLETE(4,"任务飞行完成");

    TaskStatusEnum(int code, String description){
        this.code = code;
        this.description = description;
    }

    @Getter
    private int code;

    @Getter
    private String description;
}
